×
Kunena 5.1.15 Released (27 Oct 2019)

The Kunena team has announce the arrival of Kunena 5.1.15 [K 5.1.15] which is now available for download as a native Joomla extension for J! 3.9.x. This version addresses most of the issues that were discovered in K 5.1 and issues discovered during the development stages of K 5.1.

Question Errors after update to 5.1

More
1 year 6 months ago #11 by 810
Replied by 810 on topic Errors after update to 5.1
Yes, because the kunena menu item on your main menu has the wrong default itemid's. Its getting the id from mainmenu, so when you click on the post he want to load the alias from the mainmenu, and not the one from kunenamenu.


I can fix it for you if you add a administrator account and link. with the [*confidential][/confidential] tags without the *

Please Log in or Create an account to join the conversation.

More
1 year 6 months ago - 1 year 6 months ago #12 by loic
Replied by loic on topic Errors after update to 5.1

810 wrote: Yes, because the kunena menu item on your main menu has the wrong default itemid's. Its getting the id from mainmenu, so when you click on the post he want to load the alias from the mainmenu, and not the one from kunenamenu.


@810 not sure to understand what you say...
See the screenshot : www.kunena.org/forum/general-questions-a...update-to-5-1#199529
Itemid 184 or 186 are from kunenamenu...

Thanks in advance
Loïc
Last edit: 1 year 6 months ago by loic.

Please Log in or Create an account to join the conversation.

More
1 year 6 months ago #13 by 810
Replied by 810 on topic Errors after update to 5.1
Yes.

Since kunena 5.1 there is now a menu item fix, when the category has no itemid. The page will be redirect to the page with an itemid.
If you create a kunena menu item on the main menu it will not get any itemid. That's why we added it.
From Joomla 3.9 the old behavior (Kunena 5.0) will not work anymore and will break the pagination.


The solution is to create a new kunena menu items on the kunenamenu, and use system alias menu items on the main menu.

Please Log in or Create an account to join the conversation.

More
1 year 6 months ago #14 by 810
Replied by 810 on topic Errors after update to 5.1
Le mot de passe ne correspond pas au nom d'utilisateur, ou vous n'avez pas encore de compte

Please Log in or Create an account to join the conversation.

More
1 year 6 months ago #15 by loic
Replied by loic on topic Errors after update to 5.1
Sorry. Changed

Please Log in or Create an account to join the conversation.

More
1 year 6 months ago #16 by 810
Replied by 810 on topic Errors after update to 5.1
Ok, look like we have a bug. we will investigate the issue

Please Log in or Create an account to join the conversation.

More
1 year 6 months ago #17 by loic
Replied by loic on topic Errors after update to 5.1
No problem, take your time.
I successfully step back to 5.014 to avoid 404 errors

Loïc
For your information : StackIdeas team have fixed the issue with easysocial app

Please Log in or Create an account to join the conversation.

More
1 year 6 months ago #18 by 810
Replied by 810 on topic Errors after update to 5.1
I can't reproduce the issue on my localhost.

Attachments:

Please Log in or Create an account to join the conversation.

More
1 year 6 months ago #19 by loic
Replied by loic on topic Errors after update to 5.1
That mean i’ll be stuck on 5.0.14. ?

Please Log in or Create an account to join the conversation.

More
1 year 6 months ago #20 by 810
Replied by 810 on topic Errors after update to 5.1
do you use a custom .htaccess file?

Please Log in or Create an account to join the conversation.

  • Not Allowed: to create new topic.
  • Not Allowed: to reply.
  • Not Allowed: to edit your message.
Time to create page: 0.101 seconds